> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/central-issuance/es/integrar-la-api-de-d1/referencia-de-la-api-de-d1/api-entrante-hacia-d1/api-del-centro-de-seguimiento.md).

# API del centro de seguimiento

Descargar [D1-Public-IN-v1-Physical-Issuance.json](https://d1-public-in-v1-physical-issuance.json)

## Track Card

> This API is used by the issuer backend to request the shipment tracking of any card not personalized by Thales<br>

```json
{"openapi":"3.0.0","info":{"title":"Inbound Physical Card API","version":"2.0"},"servers":[{"url":"https://api.d1.thalescloud.io/banking/v1","description":"Production server"},{"url":"https://api.d1-stg.thalescloud.io/banking/v1","description":"Staging server"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"description":"A JWT generated by the [get token API](https://docs.payments.thalescloud.io/central-issuance/integrate-d1-api/d1-api-reference/inbound-api-to-d1/oauth2-api#post-oauth2-token).<br/>\nThe server checks the validity of the provided token to control access to this protected resource. \nPlease refer to [Authorization flow](https://docs.payments.thalescloud.io/central-issuance/integrate-d1-api/d1-api-reference/inbound-api-to-d1/oauth2-api#post-oauth2-token) \nfor more details about the flow and on how to get this JWT.\n","type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"TrackCardOperationRequest":{"title":"Track Card","type":"object","oneOf":[{"$ref":"#/components/schemas/TrackCardOperationPRODUCTION"},{"$ref":"#/components/schemas/TrackCardOperationSHIPMENT"},{"$ref":"#/components/schemas/TrackCardOperationRETURN"}],"discriminator":{"propertyName":"trackingType","mapping":{"PRODUCTION":"#/components/schemas/TrackCardOperationPRODUCTION","SHIPMENT":"#/components/schemas/TrackCardOperationSHIPMENT","RETURN":"#/components/schemas/TrackCardOperationRETURN"}}},"TrackCardOperationPRODUCTION":{"title":"trackingType=PRODUCTION","type":"object","required":["trackingType","productionSite"],"additionalProperties":false,"properties":{"trackingType":{"type":"string","enum":["PRODUCTION"],"description":"The current status of card.\n\n- PRODUCTION: Track Card Production.\n"},"productionSite":{"maxLength":50,"minLength":0,"type":"string","description":"The factory where the card was produced."}}},"TrackCardOperationSHIPMENT":{"title":"trackingType=SHIPMENT","type":"object","required":["trackingType","trackingNumber","shipmentDate","productionSite"],"additionalProperties":false,"properties":{"trackingType":{"type":"string","enum":["SHIPMENT"],"description":"The current status of card.\n\n- SHIPMENT: Track Card Production and Shipment.\n"},"trackingNumber":{"type":"string","description":"The tracking number.","pattern":"^[A-Za-z0-9 _\\-\\.\\/]{1,64}$"},"postalCode":{"type":"string","description":"The destination postal Code.","pattern":"^[0-9A-Z- ]{1,10}$"},"countryCode":{"type":"string","description":"The country code, based on ISO 3166-1 alpha-2 format","pattern":"^[A-Z]{2}$"},"shipmentDate":{"type":"string","pattern":"^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}Z$","description":"The date and time the card was shipped.\nFormat: YYYY-MM-DDThh:mm:ssZ (UTC timezone only)\n"},"productionSite":{"maxLength":50,"minLength":0,"type":"string","description":"The factory where the card was produced."}}},"TrackCardOperationRETURN":{"title":"trackingType=RETURN","type":"object","required":["trackingType","productionSite"],"additionalProperties":false,"properties":{"trackingType":{"type":"string","enum":["RETURN"],"description":"The current status of card.\n\n- RETURN: Track Card return.\n"},"productionSite":{"maxLength":50,"minLength":0,"type":"string","description":"The factory where the card was produced."}}},"cardOperationResponse":{"type":"object","description":"Operation information.","properties":{"operationId":{"$ref":"#/components/schemas/operationId"}}},"operationId":{"type":"string","description":"Unique identifier of the operation","minLength":1,"maxLength":64,"pattern":"^[A-Za-z0-9_-]{1,64}$"},"errorGeneric":{"additionalProperties":false,"type":"object","description":"Generic error returned by the APIs.","properties":{"errorCode":{"type":"string","description":"The type of the error"},"error":{"type":"string","description":"Provide more error details if possible.<br/>For example name of the field with invalid format.<br/>This field is for troubleshooting purposes only, it can change at any time so MUST NOT be parsed, and is not supposed to be human readable so CANNOT be displayed to end users."}}}},"responses":{"BadRequestWithErrorCode":{"description":"Bad request due to invalid URI, headers, parameters, or payload.<br/>\nThe below table defines the possible errors:\n    | errorCode      | error       | Retry Possible | Comments                             |\n    | -------------- | ------------| ----------| -----------------------------------|\n    | -                    | - | no        | General error with no further information provided.   |\n    | FIELD_INVALID_FORMAT | Field in error (first found) | no | A field does not match the expected format specified in the documentation. |\n    | CRYPTO_ERROR         | - | no | Decryption of the provided encrypted data failed. |\n    | FIELD_INVALID_VALUE  | Field in error (first found) | no | A field value is not permitted for the specified field. |\n    | PARSING_ERROR  | Field in error (first found) | no | Encrypted data is not a valid JSON string. |\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGeneric"}}}},"Unauthorized":{"description":"Unauthorized request due to missing or invalid access token.\n| errorCode      | error       | Retry Possible | Comments                             |\n| -------------- | ------------| ----------| -----------------------------------|\n| -                        | - | no        | General error with no further information provided.   |\n| AUTHORIZER_UNAUTHORIZED  | Unauthorized message | no | Access token not valid       |\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGeneric"}}}},"Forbidden":{"description":"Request forbidden by authorization rules or business constraints.\n<br/>\nThe below table defines the possible error:\n  | errorCode      | error       | Retry Possible | Comments                           |\n  | -------------- | ------------| ----------| -----------------------------------|\n  | -              | -           | no        | General error with no further information provided.    |\n  | AUTHORIZER_FORBIDDEN  | not\\_authorized error message | no | The user is not authorized to access the requested resource. |\n  | OPERATION_NOT_ALLOWED | Name of the operation/field that is not allowed in this operation | no | The specified operation or field is not permitted for this card product. |\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGeneric"}}}},"NotFound":{"description":"Requested resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGeneric"}}}},"InternalServerError":{"description":"Internal server error while processing the request.\nThe below table defines the possible error:\n|errorCode       | error       | Retry Possible | Comments                           |\n| -------------- | ------------| ----------| -----------------------------------|\n| -                        | - | no        | General error with no further information provided.   |\n| INTERNAL_ERROR | Error details (if any) | no | The server encountered an issue while processing the request.  |\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGeneric"}}}},"ServiceUnavailableError":{"description":"The service is temporarily unavailable. You may retry your request later."}}},"paths":{"/issuers/{issuerId}/physicalCards/{cardId}/track":{"post":{"description":"This API is used by the issuer backend to request the shipment tracking of any card not personalized by Thales\n","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TrackCardOperationRequest"}}}},"responses":{"202":{"description":"Successful track card request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/cardOperationResponse"}}}},"400":{"$ref":"#/components/responses/BadRequestWithErrorCode"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Forbidden"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/InternalServerError"},"503":{"$ref":"#/components/responses/ServiceUnavailableError"}},"summary":"Track Card","operationId":"TrackCardOperationRequest"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/central-issuance/es/integrar-la-api-de-d1/referencia-de-la-api-de-d1/api-entrante-hacia-d1/api-del-centro-de-seguimiento.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
